## Column Specification (column spec)

A column specification (column spec) specifies a column in a table.

### Syntax

<column_spec> ::= <column_name>
| <table_name>.<column_name>
| <reference_name>.<column_name>
| <result_table_name>.<column_name>

### Explanation

For all names consisting of several identifiers that are separated by a period ("."), any number of blanks can be specified before and after the period.

A column specification is used in the following SQL syntax elements:

Expression (expression)

Boolean Predicate (bool_predicate)

DEFAULT Predicate (default_predicate)